Summary: A statically linked shell, including some built-in basic commands.
Name: sash
Version: 3.4
Release: 1.3.0
Copyright: GPL
Group: System Environment/Shells
Source0: http://www.canb.auug.org.au/~dbell/programs/sash-%{version}.tar.gz
Patch0: sash-3.3-misc.patch
Patch1: sash-3.4-scriptarg.patch
Patch2: sash-3.4-losetup.patch
Buildroot: /var/tmp/sash-root

%description
Sash is a simple, standalone, statically linked shell which includes
simplified versions of built-in commands like ls, dd and gzip.  Sash
is statically linked so that it can work without shared libraries, so
it is particularly useful for recovering from certain types of system
failures.  Sash can also be used to safely upgrade to new versions of
shared libraries.

%prep
%setup -q
%patch0 -p1 -b ".misc"
%patch1 -p1 -b ".scriptarg"
%patch2 -p1 -b ".losetup"

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

install -s -m755 sash $RPM_BUILD_ROOT/sbin
install -m644 sash.1 $RPM_BUILD_ROOT%{_mandir}/man8/sash.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/sash
%{_mandir}/man8/sash.8*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.4, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Thu Mar 29 2000 Nicholas DeClario <nick@guardiandigital.com>
-  Added sash package to distro
